Subject: Re: GDB on program with args
From: [email-masked] (Scott Kempf)

21 Jan 1997 14:11:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked], [email-masked]
Original-Sender: [email-masked]

Jeff Epler <[email-masked]> writes:
>I'm trying to use gdb, but I'm having lots of problems.  It just plain
>doesn't work if I 'run [args]'.
>
>Here's a transcript from gdb:
>
>This GDB was configured as "i386-cygwin32"...
>(gdb) break main
>Breakpoint 1 at 0x401027: file foo.c, line 2.
>(gdb) run
     .
     .
     .
>Program exited with code 01.
>(gdb) run -v -l jepler falcon.inetnebr.com
>Starting program: /src/test/a.exe -v -l jepler falcon.inetnebr.com
>[gdb locks up here, if I try to 'kill' it with kill.exe, windows 95
>locks up]

I have no trouble passing args with gdb, but I do
have the same problem you show.  If I try to run
anything in gdb the second time, it always locks
up.  I haven't tried to debug this yet.  I just
always quit and rerun gdb if I want to rerun a
program.

If you do lock up gdb this way, kill causes Windows 95
to hang.  However, you can click the [x] box on the
console and do an End Task.  This kills your shell, but
at least you don't have to reboot.

			Scott
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".